delete from report_sql WHERE COMPUTER={?Computer};
-- str1  = n_priveza
-- str2  = ime plovila
-- str3  = pogodbena n_priveza
-- str4  = tip plovila
-- str5  = oznaka drave
-- str6  = reg. t.
-- num1  = sort
-- str7  = pomol (kategorija)
-- str8  = trenutna n_priveza
-- date1 = trenutno_do
-- num2  = limit priveza
-- num3  = id_privez
-- str9  = objekt
-- num4  = id_plovila
--
insert into report_sql(computer,str1,str2,str3,str4,str5,str6,num1,str7,str8,date1,num2,num3,str9,num4)
select {?Computer}, NNPRIVEZ.N_PRIVEZA, PLOVILA.IME, PLOVILA.POGODBENA_N_PRIVEZA, PLOVILA.NTIP, 
       NNDRZAVE.OZNAKA, PLOVILA.REGISTRSKA_N, NNPRIVEZ.SORT, NNPRIVEZ.KATEGORIJA,
       PLOVILA.TRENUTNA_N_PRIVEZA, PLOVILA.TRENUTNO_DO, NNPRIVEZ.LIMIT, NNPRIVEZ.ID_PRIVEZ, 
       NNPRIVEZ.OBJEKT, PLOVILA.ID
from privezi
left outer join nnprivez on (privezi.id_privez=nnprivez.id_privez)
left outer join plovila on privezi.id_plovila=plovila.id
left outer join nndrzave on plovila.nzastava=nndrzave.sifra
where privezi.id_pogodbe is null
union all
select {?Computer},nnprivez.n_priveza,null as ime,null as pogodbena_n_priveza,null as ntip,null as oznaka,
       null as registrska_n,nnprivez.sort,nnprivez.kategorija,null as trenutna_n_priveza,
       null as trenutno_do, nnprivez.limit, nnprivez.id_privez, nnprivez.objekt, null
from nnprivez
where nnprivez.id_privez not in (select id_privez from privezi where id_pogodbe is null)
;
